ISTI Open Access - Feature #21881

Update the PHP version
Jul 28, 2021 03:14 PM - Michele Artini

Status: Closed Start date: Jul 28, 2021
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: ISTI Open Portal Tasks

Description

The administration pages of our Joomla Installations are reporting the following error:

We have detected that your server is using PHP 7.2.13-1+ubuntul4.04.l+deb.sury.org+l which is obso
lete and no longer receives official security updates by its developers. The Joomla! Project recom
mends upgrading your site to PHP 7.3 or later which will receive security updates at least until 2
021-12-06. Please ask your host to make PHP 7.3 or a later version the default version for your si
te. If your host is already PHP 7.3 ready please enable PHP 7.3 on your site's root and 'administr
ator' directories - typically you can do this yourself through a tool in your hosting control pane
1, but it's best to ask your host if you are unsure.

Could you update the PHP version?

Related issues:

Related to ISTI Open Access - Feature #11601: Migrate the OpenPortal services... Closed Oct 12, 2018
Related to ISTI Open Access - Feature #21891: Migrate OpenPortal machines to ... Closed Jul 30, 2021

Blocks ISTI Open Access - Support #22008: Cater for OpenPortal for ISPC Closed Sep 15, 2021
History

#1 - Jul 28, 2021 03:18 PM - Andrea Dell'Amico

A VM with ubuntu 18.04 is required, we cannot install newer versions of php on ubuntu 14.04 distributions.
They are also out of support since more than two years, so a new VM should be required anyway.

#2 - Jul 28, 2021 03:26 PM - Michele Artini

That machine hosts 3 joomla portals and the FTP server.

The web server is Apache, it used also to expose the ftp folders and to proxy the oai server running on dnet-openportal.isti.cnr.it.
When could you perform the migration to a new VM?

#3 - Jul 28, 2021 05:00 PM - Andrea Dell’Amico

@tommaso.piccioli@isti.cnr.it ? The dnet and mysgl VMs should be upgraded too.

#4 - Jul 28, 2021 08:11 PM - Tommaso Piccioli

- Related to Feature #11601: Migrate the OpenPortal services to production machines added

#5 - Jul 30, 2021 11:55 AM - Anonymous
- Blocked by Feature #21891: Migrate OpenPortal machines to ubuntu 18.04 added

#6 - Sep 15, 2021 10:13 AM - Leonardo Candela
- Priority changed from Normal to High

#7 - Sep 15, 2021 10:20 AM - Leonardo Candela
- Blocks Support #22008: Cater for OpenPortal for ISPC added

#8 - Sep 24, 2021 09:52 AM - Leonardo Candela

- Assignee changed from _InfraScience Systems Engineer to Tommaso Piccioli
#9 - Oct 18, 2021 04:16 PM - Tommaso Piccioli

- Status changed from New to In Progress

There are two new VM for dnet and backend (mysqgl + mongo)
on newdnet.openportal.isti.cnr.it

e Java (OpendDK 1.8.0_292)
e Tomcat8 (8.5.39-1ubuntu1~18.04.3)

on newbackend.openportal.isti.cnr.it

e MySQL (5.7.35-0ubuntu0.18.04.2):
¢ Solr (5.5.5)
* Mongo (3.6.3), ubuntu 18.04 distributed version with AGPL v. 3.0 license

#10 - Oct 21, 2021 08:16 PM - Tommaso Piccioli

provisioning of the new openportal VM has ended without problems
this is not to say that everything is as required

new.openportal.isti.cnr.it (openportal.ispc.cnr.it)

® php 7.4 (included php-fpm)
* apache2
e joomla (to be configured)

@michele.artini@isti.cnr.it can you check if there is something wrong?
In the meantime the http/https server answer to openportal.ispc.cnr.it only

#11 - Oct 21, 2021 08:29 PM - Tommaso Piccioli

Still some problem with ftp user configuration

#12 - Nov 17,2021 01:12 PM - Andrea Dell'Amico

| just created the ftp users and a valid ftp server configuration.

The pattern is the same: the users connect to the ftp server and they find a documents directory. That directory is writeable, while the home directory
itself is not.

The ftp server is configured to enforce

@michele.artini@isti.cnr.it | just tested the ispc user with filezilla, and it works. If you want to check your java client, the user is opcontent_ispc.
The hostname is new-openportal.isti.cnr.it.

@tommaso.piccioli@isti.cnr.it | don't know why you didn't setup the PHP environments for the ISTI and ISMAR portals?

#13 - Nov 17,2021 01:13 PM - Andrea Dell'Amico

- Assignee changed from Tommaso Piccioli to _InfraScience Systems Engineer

#14 - Nov 17, 2021 04:30 PM - Michele Artini
| tested the FTP server from D-Net. | had to change something to support TLS but now it works.
| think that we can inform the ISPC users.

#15 - Nov 17,2021 04:50 PM - Andrea Dell'Amico
- Blocked by deleted (Feature #21891: Migrate OpenPortal machines to ubuntu 18.04)

#16 - Nov 17,2021 04:50 PM - Andrea Dell'Amico
- Related to Feature #21891: Migrate OpenPortal machines to ubuntu 18.04 added

#17 - Nov 17,2021 04:51 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

OK, I'm closing this one. The migration of the other two portals will be traced by #21891
